Subject: [manet] Subnet definition within -- the AODV story

From: "Charles E. Perkins" <[email-masked]>
Date: Tue, 05 Jun 2012 13:27:32 -0700

Hello folks,

AODV has specified a way handling subnets.  I think it properly
captures the essence of the problem at layer 3 and allocates the
proper division of responsibility between layer 3 and layer 2.

The main problem for wireless is to identify what _is_ the subnet.
There isn't typically any natural way to look and see it, in contrast
to the case for wired subnets.  Establishing layer-2 connectivity
which would define the extent of the subnet is canonically out of
scope for IETF.  AODV defines something called a "subnet router"
which advertises responsibility for reaching any hosts within the
address range defined by the routing prefix for that subnet.

AODV does not specify how the subnet router fulfills that
responsibility.  If there are no subnet routers, then as far as
AODV is concerned there are no subnets.  If there is a subnet
router, then hosts on that subnet do NOT respond directly to
RREQ and do NOT generate RREP (or other AODV messages).

There are other relevant details, but the above captures the
main points, I think.

-- 
Regards,
Charlie P.

---

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 6 Jun 2012 11:58:27 +0200

Hi Charlie, and All

Thank you for your comments Charlie, it gave me more understanding about AODV,

Do you oppose the produce of only one new draft for defining
physical-subnets (L2) for MANET (or the subnets of usual use in MANET
so far)? and if yes Why?

As an Abstract to my below comments: My main problem/confusion and
discussions aim is to improve the use of all protocols submitted in
MANET-WG. I think also Mr.Cole was confused at 82-meeting only after
DLEP appeared. I want the benefit from DLEP-Ideas and its use in MANET
routing, otherwise, we MAY NOT benefit from it. It is necessary to
discuss this issue of defining subnets, because we seen DLEP-Ideas in
MANET WG.

I received your email in another subject than the above, quote [ I
would be opposed to requiring the subnet model as a mandatory
component of any current [manet] working group charter item.], which
many memebr of WG agree completly, and then I changed my mind and
agreed as well to oppose it. So not need mandatory, and not against
defining it if an author likes to. But what about adding a draft that
defines subnets as L2 and different way of the draft you co-author.

I agree with you about the AODV-story but there are different routing
protocols like OLSR (there maybe other protocols in future) that has
different router-interface model than AODV. I really hope our
draft-work-in-progress of  [titled: Multi-hop Ad Hoc Wireless
Communication, Authors: Baccelli, and Perkins, (2012) ]  will captures
this issue/difference.

More Comments are in lines:

> proper division of responsibility between layer 3 and layer 2.

I really like the way AODV protocol defines the general-logical-subnet
(working for all types) or responsibilities, but it is not the way
OLSR does define. AODV-interfaces are different than OLSR-interfaces,
their logical-subnet models are differently defined in their
specifications. Therefore, we have different MANET-interface models,
which was indicated some how in OLSRv2 as ; MANET-interface and
non-MANET-interface, so it means different router-interface, because
it defines MANET-interface as an interface running RFC6130 protocol.
If we have different interfaces then we have different Link-Models, so
AODV-links are not same as OLSR-links and same way for other
routing-protocol.

> address range defined by the routing prefix for that subnet.

AODV defines subnet-router as logical. I think we have
logic-subnet-connection, physical-subnet-connection, and
real-wireless-connection. (mobility+wireless = unstable system). IMHO
the main problem is how we defined our LINKS (so router-interface not
subnet-router), because if number of links break then we MAY have no
MANET (usually we have this behavior) or many small manets. I agree
that AODV defines subnet-router and address routing prefix, which I
like that, but AODV and OLSR don't define the underlying LINKS (i.e.
L2 links). We know that the main elements in any network is the NODE
and LINK, any network MUST be at least two NODEs and at least one
LINK. Therefore AODV and OLSR in a time period MAY miss the point of
no MANET, because they MAY don't see into different LINK-models, they
beleive all link-models are same models as they define (that is not
true there are different link-models as Mr.Cole presented in WG-82
meeting). DLEP now is a very good approach to solve the problem or as
you named it the main problem, it solves it because DLEP defines the
physical-subnet for the router, each physical-subnet-model. Please
note that AODV and OLSR do not exclude there ability to use underlying
L2 information, but if they did exclude I MAY think differently.
Therefore, DLEP (i.e. is at L2) and other L2 services can be providing
information to AODV and OLSR and these routers MAY benefit only if
they notice the difference of underlying physical-subnet issues, OR
only if ALL underlying subnets provide same service to the
upperlayers.

 Regarding IETF scope, now I have seen that there are
interests/wellingness to work together with ITU organisation, which
now there are drafts of procedure of interconnecting knowledges
between. Engineers in ITU will want to understand our RFCs-standards
and we want to consider their standards as well. Not sure in the
future how things will go but maybe the WG DA can advise me with this
issue.

> RREQ and do NOT generate RREP (or other AODV messages).

In Conclusion, 1) I RECOMMEND that defining interfaces and links to
routers will enhance the performance of our WG routing protocols, or
even providing information to our routers as the way DLEP will provide
our routers or any other way.

2) RECOMMEND that the draft [Baccelli, and Perkins, (2012)] includes
the all logical-subnets.

3) If I can know WG opinion about a new one draft to include the
define physical-subnets for MANETs.

> There are other relevant details, but the above captures the

I thank you very much Charlie for your comments which I learned from,
and my comments above are opinions. Please note that this reply was
intended not to argue the issue, but productive discuss, and just
brain storming for the progress and to help me understand and learn
from WG, improving in future replies/comments :)

Best Regards
Abdussalam Baryun
+++++++++++++++++++++++++++++++++++++++++++++++++++++++
< I may be wrong, or may be right, but it does not matter if we work together
as a group to discuss and resolve all issues. WGs are always right>
+++++++++++++++++++++++++++++++++++++++++++++++++++++++

---

From: Fred Baker <[email-masked]>
Date: Wed, 6 Jun 2012 11:13:48 -0600

One thing I have never quite understood, and would appreciate some insight on, is why a manet or roll network needs a different definition of a subnet than any other subnetwork does. Help?

The IPv4/IPv6 definition of a subnet might perhaps be "a set of interfaces that are reachable via one Internet layer hop from a router within the subnet, at least from the perspective of a host outside the subnet", and by extension are (at least in concept) mutually reachable by all of the interfaces within the subnet without leaving the subnet. I could imagine relaxing that model to support a multi-star network - everyone in the same subnet is reachable *via*any*router* with an interface in the subnet - but even so, the key attribute is that the subnet is contiguous from a perspective of subnet routing. I model it, conceptually, in a manner similar to the L1/L2 distinction in IS-IS; L2 aggregates using subnets, but within the L1 domain uses host routing (as in TRILL).

Within an Ethernet LAN, for example, I might have a sprawling switched network with hundreds or even thousands of Ethernet interfaces, but unless someone is actually aware of the switches (eg, operating at the Ethernet layer), they can be viewed from layer 3 as if they were physically attached to a common physical cable. In an AODV or OLSR world, we might use the IP header to do host routing within the subnet, but from the viewpoint of anyone outside the subnet, they send a datagram to any connecting router, and it hands the datagram to the IP-connected device as its at-least-conceptual next hop (modulo TTL, which still needs to be handled).  Ditto a RPL world.

When we discuss a separate subnet model for manet/roll/etc, it tells me that we want to somehow enable discontiguous subnets - I can no longer assume that interfaces within the same subnet know how to reach each other without leaving the subnet, and I can no longer assume that it is sufficient for routing in other parts of the network to get datagrams to the subnet in order to reach an interface within the subnet. That worries me. What am I missing?

---

From: "Charles E. Perkins" <[email-masked]>
Date: Wed, 06 Jun 2012 11:40:26 -0700

Hello Fred,

The point of my email was that we _don't_ need a different definition.
 From my perspective, some ad hoc networks don't have any, and some
others might have subnets.  But it's not the business of [manet] to create
the subnets.  I hope you'll agree that the definition for "subnet router"
that I discussed in the earlier email embodies the notion that the
responsibility for creating the layer-2 connectivity enabling a subnet
resides at layer 2, not layer 3.

I don't think we ought to create a different subnet model.  And I agree
with everything else in your email below.

I hesitate to go into any more details, because it seems that diving into
the mechanics of how to create a working subnet is quite far afield from
the work of [manet].

If there is a mailing list dedicated to subnet arguments, I'll be happy
to subscribe and join the fun.  Really we could go on for years -- never
a dull moment.

Regards,
Charlie P.

-- 
Regards,
Charlie P.

---

From: Fred Baker <[email-masked]>
Date: Wed, 6 Jun 2012 13:00:48 -0600

> resides at layer 2, not layer 3.

Well, ... I think we 80% agree. 

That said, to me, the data link layer tells me how to layer message exchange onto the physical layer and as a result get a message from one end to another of a single physical medium. When I start concatenating physical connectivity and have routing questions, I'm in the network layer; the question is "where". To my small mind, the Internet layer is an upper sub-layer of the Network Layer, and Ethernet/ATM/IP Tunnels/IP re-used within a manet|roll domain and etc are in a lower sub-layer I call the "Intranet" sub-layer. But yes, I think we agree that the LAN, however comprised, is in a sub-layer lower than the Internet layer.

> with everything else in your email below.

I thought we were in agreement. I do note that both roll and manet have proposed alternative subnet models, which is at least in part what prompted your note.

> to subscribe and join the fun.  Really we could go on for years -- never

:-(

---

From: "Charles E. Perkins" <[email-masked]>
Date: Wed, 06 Jun 2012 14:16:43 -0700

Hello Fred,

1.5 small points below...

On 6/6/2012 12:00 PM, Fred Baker wrote:
> That said, to me, the data link layer tells me how to layer message 
> exchange onto the physical layer and as a result get a message from 
> one end to another of a single physical medium. When I start 
> concatenating physical connectivity and have routing questions

Could they be bridging questions?

> , I'm in the network layer; the question is "where".

In my understanding, there isn't any ambiguity about this because, in
the network layer, network addresses are used.  In layer 2, layer 2 
addresses
are used (e.g., for bridging).

> To my small mind, 

C'mon Fred -- you're not fooling anyone here certainly not me!

> the Internet layer is an upper sub-layer of the Network Layer, and 
> Ethernet/ATM/IP Tunnels/IP re-used within a manet|roll domain and etc 
> are in a lower sub-layer I call the "Intranet" sub-layer. But yes, I 
> think we agree that the LAN, however comprised, is in a sub-layer 
> lower than the Internet layer. 

Do you envision that an "Intranet" layer would use Internet addresses at 
all?

> I thought we were in agreement. I do note that both roll and manet have proposed alternative subnet models, which is at least in part what prompted your note.

I don't remember a new "subnet model" for [manet].  If it happened, I 
must have
reinterpreted it to conform to the subnet model already existing in my 
understanding.

I also don't remember it for [roll], but I couldn't keep up with that
working group.

Regards,
Charlie P.

---

From: Mukul Goyal <[email-masked]>
Date: Wed, 6 Jun 2012 16:36:07 -0500 (CDT)

>I could imagine relaxing that model to support a multi-star network - everyone in the same subnet is reachable *via*any*router* with an interface in the subnet - but even so, the key attribute is that the subnet is contiguous from a perspective of subnet routing.

I think this model allows an LLN/MANET to be considered one subnet except that reaching the ultimate destination from the entry into the subnet might involve multiple IP hops.

Thanks
Mukul

----- Original Message -----
From: "Fred Baker" <[email-masked]>
To: "Charles E. Perkins" <[email-masked]>
Cc: "manet" <[email-masked]>, "Abdussalam Baryun" <[email-masked]>
Sent: Wednesday, June 6, 2012 12:13:48 PM
Subject: [manet] Subnet definition -- why do we need one that is different	than standard IP?

When we discuss a separate subnet model for manet/roll/etc, it tells me that we want to somehow enable discontiguous subnets - I can no longer assume that interfaces within the same subnet know how to reach each other without leaving the subnet, and I can no longer assume that it is sufficient for routing in other parts of the network to get datagrams to the subnet in order to reach an interface within the subnet. That worries me. What am I missing?
_______________________________________________
manet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/manet

---

From: Fred Baker <[email-masked]>
Date: Wed, 6 Jun 2012 15:45:20 -0600

On Jun 6, 2012, at 3:16 PM, Charles E. Perkins wrote:

>> That said, to me, the data link layer tells me how to layer message exchange onto the physical layer and as a result get a message from one end to another of a single physical medium. When I start concatenating physical connectivity and have routing questions
> 

here you hark back to a debate that actually kinda-sorta made sense 20 years ago, but makes no sense in this context. IEEE 802.1, and specifically 802.1d, is a routing technology. It doesn't route in the sense that OSPF or BGP do, but it figures out how to get packets across a network from point A to point B.

> the network layer, network addresses are used.  In layer 2, layer 2 addresses

again, harking back to a discussion that is kind of irrelevant. Are you going to tell me that an IP address used by two layers, one of which is doing subnet routing using, say, OSPF, and the other is doing host routing through AODV, are not both in the network layer? If so, then why would a network doing two layers of routing, one of which is using subnet routing using, say, OSPF, and the other is doing host routing through 802.1d, is not both in the network layer?

>> the Internet layer is an upper sub-layer of the Network Layer, and Ethernet/ATM/IP Tunnels/IP re-used within a manet|roll domain and etc are in a lower sub-layer I call the "Intranet" sub-layer. But yes, I think we agree that the LAN, however comprised, is in a sub-layer lower than the Internet layer. 
> 
> Do you envision that an "Intranet" layer would use Internet addresses at all?

RPL is a pretty good example of a routing protocol that makes that assumption. If AODV is used and the node ID is an IP address - very reasonable - sure.

> I don't remember a new "subnet model" for [manet].  If it happened, I must have
> reinterpreted it to conform to the subnet model already existing in my understanding.
>

---

From: Fred Baker <[email-masked]>
Date: Wed, 6 Jun 2012 15:51:39 -0600

> I think this model allows an LLN/MANET to be considered one subnet except that reaching the ultimate destination from the entry into the subnet might involve multiple IP hops.

Pretty much.

---

From: Ralph Droms <[email-masked]>
Date: Wed, 6 Jun 2012 18:05:17 -0400

>> I think this model allows an LLN/MANET to be considered one subnet except that reaching the ultimate destination from the entry into the subnet might involve multiple IP hops.

== multi-link subnet?

- Ralph

---

From: Ulrich Herberg <[email-masked]>
Date: Wed, 6 Jun 2012 15:11:59 -0700

> >> I think this model allows an LLN/MANET to be considered one subnet except that reaching the ultimate destination from the entry into the subnet might involve multiple IP hops.

I think it would be wrong to define such a multi-link subnet (for the
reasons the IAB described in in RFC4903, and that we tried to convey
at length in AUTOCONF). We had a long discussion about the reasons in
AUTOCONF (which led to RFC5889), and I don't think we should revive
this discussion in MANET.

Ulrich

---

From: "Charles E. Perkins" <[email-masked]>
Date: Wed, 06 Jun 2012 16:05:59 -0700

Hello Fred,

I'd greatly prefer to keep the terms as simple as is reasonably possible.

To me it makes so much sense to have the network layer be the one
that uses network-layer addresses, and likewise for layer-2.

I recognize that bridging and routing both get packets from point A
to point B, but unless you want to completely conflate the link layer
with the network layer I don't see why we should equate the term
"bridging" with the term "routing".

A bit more below...

> here you hark back to a debate that actually kinda-sorta made sense 20 years ago, but makes no sense in this context. IEEE 802.1, and specifically 802.1d, is a routing technology. It doesn't route…

IEEE thinks that 802.1d is a bridging technology.

> again, harking back to a discussion that is kind of irrelevant. Are 
> you going to tell me that an IP address used by two layers, one of 
> which is doing subnet routing using, say, OSPF, and the other is doing 
> host routing through AODV, are not both in the network layer?

Isn't routing hierarchical?  That doesn't negate the value of having 
layers of the protocol stack.

> If so, then why would a network doing two layers of routing, one of 
> which is using subnet routing using, say, OSPF, and the other is doing 
> host routing through 802.1d, is not both in the network layer? 

If the "host routing" is based on layer-2 addresses, then it's bridging 
(in my 20 year old
understanding of the protocol stack).  If the "host routing" is based on 
layer-3 addresses,
then according to those old guidelines it is routing.

It seems to me that anyway we share reasonable understanding about how 
packets
are moved from point A to point B and that our disagreement is purely 
definitional.
In fact, there have been in the past variations of most ad hoc network 
protocols that
work with layer-2 addresses (even DSDV did that).

Honestly, I cannot see any value in blurring the definitions even though 
switches and
routers and bridges (etc.) share many electronic features and caching 
strategies.  If there
is value, please explain -- but is that value really worth not being 
able to decide what a
subnet is?  Theoretically, (to take a much more extreme case) we could 
also conflate routing
with DNS hierarchy, but then it would be just that much easier to get 
confused.

-- 
Regards,
Charlie P.

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 7 Jun 2012 10:50:23 +0200

Hi Fred, and All

I thank you for your discussions and important comments, I encourage
you to discuss in the list because some times I feel that I am alown.
I have some opinion/comment points which are aimed to improve WGs in
IETF and MANET-WG. Then I will answer Fred's question and comment on
some inputs to the subject. As an abstract I will answer the subject
title of your post:/ I prefer to define subnets on All three levels of
layers L3, L2 and L1, but in WG trying to push for defining nets at L2
now, not worried about nets at L3 or above, nets definition of L1 is
out of the IETF scope and it is the job of ITU, but I think L2 nets
are a place of both interests of IETF and ITU now and in the future to
come. Things are changing :)

 Firstly, it seems that MANET WG avoided defining things in the past
and now they MAY continue, but I beleive that it MUST get to an END
some day in future. All IETF WGs SHOULD understand to; *see* by the
eyes of the Internet (or Internet of Things= IoT) including all
underlyning communication-facilities. To *think* with the brains of
IETF-Intellegence, and *listen and Speak* in the way of
Productive-Discussion-on-List AND face-to-face-meeting. IMO some WG
live in ROOM, or discuss in a ROOM, think in a ROOM, and listen only
to what is in a ROOM, this SHOULD change, so we can progress. WGs
should be connected some how (like having a gateway router, or getting
feedback of performance) and WGs need communicate input-knowledge for
the purpose of their productions and for the consistency of IETF
output-standards. We have no evaluation process to our WGs which makes
production random not encouraged.

 Secondly, it is noticed from the IETF procedure that WGs AD are
responsible to help the WG complete the BIG picture and purpose of the
all WGs, so if document/idea/input is done in one Area it should not
be repeated in another, AND if some-input related to a WG then WG
should be informed in some-ways of what was done in others so that WGs
output do not collide and make a disaster. Therefore, MANET WG should
discuss and define more productively and stop ignoring facts (i.e.
ignore is not progress) that the internet-community and
engineers-knowledge are changing (e.g. up or down, does not matter).

Please read in line the answers

On 6/6/12, Fred Baker <[email-masked]> wrote:
> One thing I have never quite understood, and would appreciate some insight
> on, is why a manet or roll network needs a different definition of a subnet
> than any other subnetwork does. Help?
>

because MANET and ROLL are dynamic networks located at Layer 3 (L3)
and MAY probably in some time-periods become disapearing and apearing
again, therefore, the WGs need to define L2 network technologies.

> When we discuss a separate subnet model for manet/roll/etc, it tells me that
> we want to somehow enable discontiguous subnets - I can no longer assume
> that interfaces within the same subnet know how to reach each other without
> leaving the subnet, and I can no longer assume that it is sufficient for
> routing in other parts of the network to get datagrams to the subnet in
> order to reach an interface within the subnet. That worries me. What am I
> missing?

I don't want to separate of to integrate, you should think that it is
the choice of the customer or user or administrator or the market, to
make that decision. I want to define subnets in L2 because they are
different in ROLL and MANET application scenarios, I hope you see the
interest of making things flexible for the protocols and users. The
missing point is that routers are connected to L2 subnets through
their logical interfaces and through the IP-layer-interface (this
interface connects between L3 and L2), and each router may have more
than one interface, therefore, the ROUTER can communicate to all L2
subnets in the same time, but each router can have many L3 subnets,
depending on the configuration of IP addressing model.

CP> I don't think we ought to create a different subnet model.  And I agree
> with everything else in your email below.

FB>I thought we were in agreement. I do note that both roll and manet have
> proposed alternative subnet models, which is at least in part what prompted
> your note.

Yes, I agree Fred that ROLL and MANET WGs are both working on
different subnets in L2 that is my point of my posts before yours.
MANET WG oppose the  defining as we can read clearly on the discussion
list, I am try now to write a draft that defines to make the WG face
the problem. Yes, After the request to open ROLL WG means the
community already made the change and the community already are
defining subnets, but IMHO that MANET WG some day will relise the
importance, lets see :)

CP>I don't remember a new "subnet model" for [manet]. If it happened,
I must have
>understanding. I also don't remember it for [roll], but I couldn't keep up with that
>working group.

Hi Charlie, yes there is no *subnet model* defined that was the point
Mr.Robert Cole has addressed in the WG 82-meeting, and him and Teco
have presented the
importance for DLEP protocol. ROLL did define there subnets, because
they had to do that otherwise they will not be accepted because their
routing is dynamic routing we are doing the same idea but different
underlying subnet.

Therefore, MANET SHOULD think in a way to solve this issue quickly, I
RECOMMENDED as long as many opposed which Charlie, you were the first,
so I now think we produce a draft for defining subnets at L2, and
really want to draft it and submit and hope you and Fred Baker (also
if Mr.Cole wants to join), will co-author if you do not mind.

UH>I think it would be wrong to define such a multi-link subnet (for the
>this discussion in MANET.

Hi Herberg, I think we should not beary our self just because autoconfig WG had
died I think its discussions were not productive so that it was ended. In IETF
discussion is more important than drafting papers/documents. Knowledge
should be
distributed and open to All, not to restrict knowledge-distribution
because we MAY
NOT be able to discuss productively or to get to solution. It is the
CHAIR's job to
solve unproductive issues, and WGs advising their AD to help as well
for progress.
IMHO, it is always the WG memebrs' and the WG Chair's fault/welling if
such WG will/have die(d).

Best Wishes

Abdussalam Baryun
University of Glamorgan, UK

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Please note that it is important to consider that this message or
reply is aimed
to purpose of improving the progress of the WG Discussion and IETF Processes
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
< I may be wrong, or may be right, but it does not matter if we work together
   as a group to discuss and resolve all issues. IETF WGs are always right >
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

****************************************************************************************
This email and any attachments are confidential to the intended recipient
and may also be privileged. If you are not the intended recipient please
delete it from your system and notify the sender. The contents are comply
to the IETF regulations, and WG procedures. You should not copy the
email nor use it for any purpose other than IETF procedures purposes.
****************************************************************************************

---

From: Stan Ratliff <[email-masked]>
Date: Thu, 7 Jun 2012 10:42:46 -0400

> When we discuss a separate subnet model for manet/roll/etc, it tells me that we want to somehow enable discontiguous subnets - I can no longer assume that interfaces within the same subnet know how…

Discontiguous subnets are possible in these networks, due to mobility. Consider a scenario where I have Group A in one subnet, and Group B in another. Due to everyone moving around, I get in a position where Group A is split into 2 halves, with Group B in the middle. At that point, you either have to talk about a discontiguous subnet, or somehow cause the "appropriate" host routes to be injected in the right places (e.g. one half of Group A needs host routes for the other half that go via Group B).

Regards,
Stan

---

From: Ulrich Herberg <[email-masked]>
Date: Thu, 7 Jun 2012 07:58:12 -0700

Let me clarify: Autoconf did not die because a lack of discussion. Quite to the contrary! We had extremely many and long discussions and several drafts trying to tackle the issue. Over 5 years we did that, and many of the participants are the same that are also active in MANET. 

Ulrich

---

From: Dr John P Mullen <[email-masked]>
Date: Thu, 7 Jun 2012 08:59:55 -0600

This discussion brings back a lot of memories.

In the early days, I spent a lot of time explaining to people that MANETs are a different animal and things that are a good idea for other forms of networking or communication are not such good ideas for MANETs. I think subnets is one of those things.

As I understand it, there are two possible reasons to subnet

1. To improve routing efficiency. Different subnets represent different contiguous portions of a larger network. Some routing can be accomplished based on subnet address. This leads to smaller routing tables and faster routing. 

2. To reflect organizational structures or restrictions.  For example, marketing and production. At one level, just to reduce the volume of irrelevant traffic, at another to prevent people who should not have access from getting or changing information.

MANET routing protocols perform function #1. Many protocols essentially construct and maintain dynamic subnets and use information from nodes to manage the continually changing topological structure. For this function, a subnet would be redundant.

For the second, subnets can be superimposed at an appropriate layer, depending on security concerns. However, as Fred points out, we would not want that subnet structure to create a partition, so the most efficient thing would be for the MANET protocol to ignore it and let higher layers implement any subnetting. 

But, I could be wrong. ^_^

John Mullen
-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Stan Ratliff
Sent: Thursday, June 07, 2012 8:43 AM
To: Fred Baker
Cc: manet; Abdussalam Baryun
Subject: Re: [manet] Subnet definition -- why do we need one that is different than standard IP?

Regards,
Stan

---

From: Fred Baker <[email-masked]>
Date: Thu, 7 Jun 2012 09:12:56 -0600

> Discontiguous subnets are possible in these networks, due to mobility. Consider a scenario where I have Group A in one subnet, and Group B in another. Due to everyone moving around, I get in a posi…

In that case it should simply be host routing, not subnet routing, which AFAIK is status quo in manet networks. The routers to other parts of the world should be able to find the host routes for devices in the manet, no?

Here's my concern. 

So I now have some truly large routing domain - BGP among serveral AS's, perhaps going to the Internet and perhaps in some other network, within a given AS a few hundred subnets to fixed and mobile domains, and within a given subnet a number of vehicles wandering around. The routing assumption that every OTHER routing protocol makes is that it is sufficient to get a packet to the subnet, and the subnet will take care of getting it to the host in question. The details of how that is done are irrelevant except within the subnet.

If other routing domains have to interact with a subnet that can bifurcate, then they have to do something that they are currently unprepared to do - not only get it to "a router in the subnet", but "the right router in the subnet". urk.

If the routing system is willing to export host routes from the subnet - "each router in the subnet can reach 2001:0db8:0:1::/64, but 2001:0db8:0:1::dead:beef/128 is carried outside the domain as a host route", or the various routers in the subnet advertise host routes for themselves and advertise host routes within the subnet among themselves, that works. I can still follow "longest match" and get the packet delivered to the endpoint without worrying about "the right router" outside the subnet. But I would not want to literally bifurcate the subnet and expect the rest of the routing system to interact with it.

pictures on request if I'm not being clear.

---

From: Stan Ratliff <[email-masked]>
Date: Thu, 7 Jun 2012 11:23:14 -0400

Ditto what Ulrich said. The working group not to be named died only after many, many, MANY long, tedious discussions. Discussions that yielded exactly 1 document. 

At a baseline, fundamental level, discussion of a "subnet model" in an "ad-hoc" network seems like an oxymoron to me… if we have a specific "model" that the network fits into, how is that "ad-hoc"? I'll say it again - unfortunately, the only subnet model that fits is that there isn't a subnet model. 

Regards,
Stan

---

From: Stan Ratliff <[email-masked]>
Date: Thu, 7 Jun 2012 11:27:39 -0400

> In that case it should simply be host routing, not subnet routing, which AFAIK is status quo in manet networks. The routers to other parts of the world should be able to find the host routes for de…

Yep, we're on the same page. Host routing gets around that issue. 

> If other routing domains have to interact with a subnet that can bifurcate, then they have to do something that they are currently unprepared to do - not only get it to "a router in the subnet", bu…

:-) Urk indeed. 

> pictures on request if I'm not being clear.

I think I've got the picture. Sounds like you're OK with a subnet definition in MANETs that would be "a subnet of 1"??? ;-) 

Regards,
Stan

---

From: Fred Baker <[email-masked]>
Date: Thu, 7 Jun 2012 09:35:05 -0600

On Jun 7, 2012, at 9:27 AM, Stan Ratliff wrote:

> Sounds like you're OK with a subnet definition in MANETs that would be "a subnet of 1"??? ;-) 

A host route is a prefix of the full length (/32 or /128 depending on the flavor of the month). Yes, I'm OK with host routing within a domain that understands that it is happening and whose administration is OK with it. 

#include standard remarks on aggregation and scaling.

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Thu, 7 Jun 2012 16:08:34 +0000

I think that a model that may apply (when you want/need scalability) is one where there are gateway nodes between the MANET and the rest of the network, the gateway nodes being both part of the MANET and outside it (very roughly speaking). The knowledge that there is something different about the MANET is limited to the gateway nodes, other network nodes just route to a gateway node, treating the MANET as being handled by an aggregated address prefix. (I'm going to avoid the s word.) Things get complicated with multiple gateways and fragmented MANETs, especially together, and then we need intelligence at the gateways, which may need further work (perhaps tunnelling between gateways similarly to mobile IP). But at least the other routing domains are off the hook.

Don't recall where I've seen this suggested in the IETF, but it's not original with me of course. Maybe in NEMO?

-- 
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked] | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Fred Baker
Sent: 07 June 2012 16:13
To: Stan Ratliff
Cc: manet; Abdussalam Baryun
Subject: Re: [manet] Subnet definition -- why do we need one that is different than standard IP?

----------------------! WARNING ! ----------------------
This message originates from outside our organisation,
either from an external partner or from the internet.
Keep this in mind if you answer this message.
Follow the 'Report Suspicious Emails' link on IT matters
for instructions on reporting suspicious email messages.
--------------------------------------------------------

Here's my concern. 

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: Fred Baker <[email-masked]>
Date: Thu, 7 Jun 2012 10:21:42 -0600

> Don't recall where I've seen this suggested in the IETF, but it's not original with me of course. Maybe in NEMO?

What you're describing is usually called a router; as defined in RFC 2460, a system that has an interface in each of two or more subnets and receives traffic in any given subnet with a view to forwarding it to another. I would hope it's implicit in the IP Routing Architecture.

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 07 Jun 2012 09:22:04 -0700

Hello Chris,

Really nothing special is needed as long as the gateway does not 
advertise the host routes into the Internet.

For multiple gateways, if routes need to be shared, then the sharing can 
be done in a straightforward way.
But, deciding which routes need to be shared starts to sound like 
policy, which doesn't sound ad hoc.

And that does not have to be done until after the single-domain tasks 
are done.

Regards,
Charlie P.

-- 
Regards,
Charlie P.

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Thu, 7 Jun 2012 16:31:15 +0000

The special case arises when the MANET has two gateways (I see Fred's comment saying this is just a router, this case is when it gets a bit more than that) and fragments, so that part of the MANET is attached to gateway A, and part to gateway B. And without any addressing in the MANET that indicates that. Now another routing domain, which knows nothing of this, just routes to one of the gateways, let's say A. But the destination in question is in the fragment attached to gateway B. And it gets a little more complicated still if there is a gateway C.

Of course you can avoid all that if you advertise /32 or /128 addresses into other routing domains. This is only if you want to avoid that, but still handle the case above.

-----Original Message-----
From: Charles E. Perkins [mailto:[email-masked]] 
Sent: 07 June 2012 17:22
To: Dearlove, Christopher (UK)
Cc: Fred Baker; Stan Ratliff; manet
Subject: Re: [manet] Subnet definition -- why do we need one that is different than standard IP?

Hello Chris,

Regards,
Charlie P.

-- 
Regards,
Charlie P.

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 07 Jun 2012 09:34:02 -0700

Hello John,

> This discussion brings back a lot of memories.

Some might say nightmares.

> In the early days, I spent a lot of time explaining to people that MANETs are a different animal and things that are a good idea for other forms of networking or communication are not such good ide…

I've always thought it was quite interesting just how the pre-existing 
IP protocol
design works very well indeed as long as one doesn't insist on having 
subnets where
none really exist.

> MANET routing protocols perform function #1. Many protocols essentially construct and maintain dynamic subnets and use information from nodes to manage the continually changing topological structur…

Perhaps "very expensive to maintain" instead of "redundant"...?

> For the second, subnets can be superimposed at an appropriate layer, depending on security concerns. However, as Fred points out, we would not want that subnet structure to create a partition, so t…

I really think that subnetting should be done below the level of routing 
protocols.  Put another way, [manet] protocols should [in and of 
themselves] certainly ignore subnet creation because doing otherwise 
would amount to a serious and confusing layer violation.

While one can certainly make use ad hoc protocols as part of the process 
of "creating" subnets, there still has to be a network layer even higher 
in the stack compared to where those subnets are established.  The 
protocol stack, and this discussion, can have a seemingly arbitrary 
number of layers as exemplified so often in the past.  I'm reminded of 
the "encapsulation limit" extension which was included as part of the 
IPv6-within-IPv6 tunneling specification.  There is no analogous 
"recirculation limit" extension for discussions about where subnets are 
established in the protocol stack.

-- 
Regards,
Charlie P.

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 07 Jun 2012 09:43:21 -0700

Hello Stan,

I'd like to echo what you said but just adding a bit more:

> Ditto what Ulrich said. The working group not to be named died only after many, many, MANY long, tedious discussions. Discussions that yielded exactly 1 document.

We had quite a few good documents.  These documents did not make 
progress because there was
a fatal insistence on producing some architectural model that included 
subnets.  I must have stood
in front of the mike dozens of times complaining that it was by no means 
necessary and in fact even
dangerous to go there before getting the basic work done.

> At a baseline, fundamental level, discussion of a "subnet model" in an "ad-hoc" network seems like an oxymoron to me… if we have a specific "model" that the network fits into, how is that "ad-hoc"?…

You make a good point: subnet organization is NOT "ad hoc".   However, 
once a subnet is established,
as mentioned before it is just fine for an ad hoc routing protocol to 
make use of the subnet.  It's just
that maintaining the subnet structure needs to be _external_ [i.e., out 
of scope] for the specification of
the ad hoc routing protocol.

So I'd restate your last sentence as follows:
"the only subnet models that fit are those whose establishment and 
maintenence are out of scope for [manet]"

-- 
Regards,
Charlie P.

---

From: Lawrence MacIntyre <[email-masked]>
Date: Thu, 07 Jun 2012 12:52:11 -0400

Charles:

I will agree with you that there are many times where subnets don't make
sense. If a swarm of nodes is considered a subnet, the swarm can be
separated and no longer function as a subnet, and that makes routing
painful. In this case, subnets might be considered harmful.

However, it is true that one of the most difficult things about MANETs
is that there are SO many kinds of them. There are, indeed, instances
where subnets make sense. Think of a vehicle with multiple devices
contained inside (vehicles can be very tiny and also very large. For
instance, the USS Enterprise is a vehicle). It is unlikely that the
vehicle can be split up and still be functional:-) Therefore, a subnet
for the (potentially many) devices on the vehicle aids greatly in
scaling the network, since you only need one route for the entire subnet.

Thanks,
Lawrence

-- 
Lawrence MacIntyre  [email-masked]  Oak Ridge National Laboratory
 865.574.7401  Cyber Space and Information Intelligence Research Group
   SIPRNet: [email-masked]  ICMail: [email-masked]

---

From: Emmanuel Baccelli <[email-masked]>
Date: Fri, 8 Jun 2012 13:20:10 +0200

Hi Fred,

I am also of the opinion that we should *try* to learn from the past, and
in particular, avoid repeating AUTOCONF discussions that already went
(slowly) nowhere.

One of the conclusions of AUTOCONF was that, if you don't know anything a
priori about an interface's connectivity (i.e. the "ad hoc" aspect), then
you should not configure any IP on-link subnet prefix on this interface:
this is essentially what RFC5889 stipulates. Another document described more
in details why "ad hoc" means in reality knowing *nothing* a priori in
terms of connectivity characteristics over an interface. I am thus also of
the opinion that a simple "on-link subnet of 1" models reality well enough
already -- no need for a new model here.

But that does not mean that IP address aggregation is impossible to use in
this context. In many cases, things are still simple: IP addresses
configured on interfaces to an ad hoc network can still derive from a
common prefix, managed by a single gateway to the outside world, which can
just advertise this prefix to the outside world, and thus perpetuate useful
traditions such as subnet routing, longest-prefix matching etc.

Of course, there are more hairy cases, for instance when some types of
mobility or multi-homing are involved.

Regards,

Emmanuel

On Thu, Jun 7, 2012 at 6:43 PM, Charles E. Perkins <[email-masked]>wrote:

>> Ditto what Ulrich said. The working group not to be named died only after
>> many, many, MANY long, tedious discussions. Discussions that yielded
>> exactly 1 document.
>>
>
> We had quite a few good documents.  These documents did not make progress
> because there was
>  At a baseline, fundamental level, discussion of a "subnet model" in an
>> "ad-hoc" network seems like an oxymoron to me… if we have a specific
>> "model" that the network fits into, how is that "ad-hoc"? I'll say it again
>> - unfortunately, the only subnet model that fits is that there isn't a
>> subnet model.
>>
>
>
> as mentioned before it is just fine for an ad hoc routing protocol to make
> use of the subnet.  It's just
> that maintaining the subnet structure needs to be _external_ [i.e., out of
> scope] for the specification of
> ______________________________**_________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/**listinfo/manet<https://www.ietf.org/mailman/listinfo/manet>
>